\documentclass{../latex/sdm_doc}
\usepackage{graphicx,url,natbib}

\title{The NOAO DECam Community Pipeline Option}
\author{F. Valdes$^1$ and R. Swaters$^1$}
\otheraffiliation{
$^1$NOAO Science Data Management, P.O. Box 26732, Tucson, AZ 85732}
\pubhistory{Dec. 2011}
%\reportnumber{DEC099 Note}
\keywords{DECam, plan}
\runningtitle{Note on the NOAO DEC-CP Option}

\begin{document}
\frontmatter

%\tableofcontents
%\newpage 

%\listoftables
%\newpage

%\listoffigures
%\newpage

\mainbody

%\begin{abstract}

%\end{abstract}

%\section*{Purposes of this Document}
%\addcontentsline{toc}{section}{Purpose of this Document}

%\newpage

%\section{Discussion}

This note discusses what would be required for NOAO to produce a
Community Pipeline for the Dark Energy Camera.  This is a fall-back
plan in case the DESDM-CP is judged to be unlikely to provide a
satisfactory community data product.

Many years ago, when the first DECam simulation data was generated and the
DES-DM effort was just starting, a version of the Mosaic pipeline was
produced to process this simulated data.  The modifications and test runs
took less than a week to accomplish.  This is a strong proof-of-concept that
an NOAO DEC-CP can be prepared quickly.  To go beyond this experiment would
involve creating a version of the current, mature, Mosaic pipeline for
DECam.  This means all the features of this pipeline would be provided.  The
only significant feature not in the Mosaic pipeline but specified in the
Community Pipeline requirements is weight map data products.  These are
planned for the ODI pipeline and should be a good synergy.

Two points to consider in judging the suitability of the DESDM-CP
compared to an NOAO option are that

\begin{itemize}
\item the Mosaic pipeline that produces much better data products
than the current DESDM-CP does on the same input data
\item the Mosaic pipeline is significantly more efficient than the
current DESDM-CP
\end{itemize}

A concern is the impact of diverting manpower from the ODI Community
Pipeline which needs to be completed in the same time frame; namely,
a first version in the fall of 2012.  It is notoriously difficult to
estimate software schedules.  However, the key points of having

\begin{itemize}
\item two experience pipeline developers
\item a proven infrastructure (NHPPS)
\item a proven calibration pipeline (Mosaic)
\item significant similarities between CCD mosaic imaging cameras
\end{itemize}

\noindent leads the authors to be fairly confident that the ODI and DECam
pipelines can be produced within a 2012 schedule to meet the needs
as the cameras start operations.

The bigger concern is actually the amount of time that may be required for
other projects; Cosmos/Kosmos and BigBoss.  The expectation is the former is
largely a repetition of the same kind of data handling components we have
experience with and the latter is mainly planning and, in our opinion,
typical stretching out of the project in the current funding climate.

\newpage

Coming back to the technical points for a DEC-CP; what follows are various
items that require more than just a simple reuse of current software.

\begin{enumerate}

\item Staging of data should be redesigned to make use of a read-only
mount to the mass storage device.  This is not hard but is different
than the current method of first transfering the raw data to an
initial pipeline staging area.

\item The data format is different in that the data from the two
amplifiers in a CCD are stored in the same image raster along with
keywords specifying the locations of the two data and bias regions.
IRAF has a basic CCD calibration tool that can handle this format but
it would be better make some modest modifications specifically for
DECam, especially to merge it with the next item.

\item The crosstalk correction should be similar algorithmically to
the Mosaic camera.  However, handling crosstalk between two amplifiers
stored in a single raster (as noted above) will be best handled at
the same time as the overscan correction for efficiency.  This should
be done with a new IRAF task which will be a modest and
straightforward development.

\item As is typical of interfacing software to new data there will be
changes required for differences in keywords.  Because of our
involvement in the design of the data format there is a great deal
of similarity with the Mosaic data format.  Therefore, the changes
will be relatively simple.

\item At the DECam Community Meeting the instrument scientists
indicated that fringing was not present.  This has the obvious
simplifying consequence.

\item The creation and propagation of weight maps is not part of the
current Mosaic pipeline.  There some new work would be required to
include this.  A two phase approach would make sense.  The first phase
would be a pipeline without weight maps and the second phase with
the weight maps.  Since the ODI pipeline will also include weight maps
there is an excellent opportunity to leverage the work for both as
one development item.

\item The operator/observer review pages will need some redesign
because of the larger size.  The creation of graphics is the same but
the smallest full field size will need to be bigger and the ability to
zoom to higher resolution will need work.

\end{enumerate}

%\newpage
%
% Use bib files if possible.
%\bibliography{PLSeries,CDR}
%\bibliographystyle{abbrv}

% Otherwise use:
%\begin{thebibliography}{}
%\bibitem[Author(DATE)]{REF} Author, A., et al., DATE, PUB, 1234, 56
%\end{thebibliography} 

\end{document}
